This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 91579 - an error in 'units' package description
an error in 'units' package description
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: specspo (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-24 15:40 EDT by petrosyan
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-26 07:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2003-05-24 15:40:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
units package description says:
"Units converts an amount from one unit to another, or tells you what
mathematical operation you need to perform to convert from one unit to
another. Units can only handle multiplicative scale changes; it
can not tell you how to convert from Celsius to Fahrenheit, which
requires an additive step in addition to the multiplicative
conversion."

In reality units _can_ convert from Celsius to Fahrenheit. This can be verified
by reading the first paragraph of either info or man documentation which says:

"The `units' program converts quantities expressed in various scales
to their equivalents in other scales.  The `units' program can handle
multiplicative scale changes as well as nonlinear conversions such as
Fahrenheit to Celsius."

I also run the program myself and verified that 'units' indeed can "do nonlinear
conversions such as Fahrenheit to Celsius."


Version-Release number of selected component (if applicable):
units-1.80-4 and units-1.80-5

How reproducible:
Always

Steps to Reproduce:
1. rpm -qi units
2. info units
3. compare the package description with the first paragraph of the Overview from
info documentation
Comment 1 Harald Hoyer 2003-05-26 07:08:52 EDT
fixed in specspo cvs... in the units.spec it was already corrected.

Note You need to log in before you can comment on or make changes to this bug.